<template>
  <editable-zone :register="[{ node, path: [...path, 'title'] }, { node, path: [...path, 'body'] }, { node, path: [ 'rows', 1, 'items', 2 ] }]" :title="title">
    <section>
      <h2><editable-textfield :node="node" :path="[...path, 'title']"></editable-textfield></h2>
      <p><editable-textarea :node="node" :path="[...path, 'body']"></editable-textarea></p>
    </section>
  </editable-zone>
</template>

<script>

export default {
  props: {
    title: {
      type: String,
      required: true
    },
    node: {
      type: Object,
      required: true
    },
    path: {
      type: Array,
      required: true
    }
  }
}

</script>

<style lang="scss" scoped>
</style>
